version 7.0
set more off
capture log close
log using "C:\fd-data\econ1.log", replace
* *** econ
* sum econ1-econ4
* *** econ1
use "C:\fd-data\fd-cross.dta", clear
* * distribution of econ1
swilk econ1
kdensity econ1, normal
save econ1.gph, replace
* gen sqrtecon1 = sqrt(econ1)
* swilk sqrtecon1
* gen lnecon1 = log(econ1)
* swilk lnecon1
* drop sqrtecon1 lnecon1
* *** 1st analysis (bivariate)
reg econ1 feddummy
reg econ1 fedtype
reg econ1 fedlijp
reg econ1 fedkeman
reg econ1 fedtreis
reg econ1 fedgth
reg econ1 fedmadx
reg econ1 dezrev2
reg econ1 dezrev3
reg econ1 dezrev4
reg econ1 snadm
reg econ1 dezrev1
reg econ1 dezexp
reg econ1 econ
* *** 2nd analysis (mean difference by federalism)
sort feddummy
by feddummy: sum econ1
gen fecon1 = econ1 if feddummy == 1
gen uecon1 = econ1 if feddummy == 0
sdtest fecon1 = uecon1
ttest fecon1 = uecon1, unpaired
* *** 3rd analysis (bivariate model selection)
* reg econ1 pcecon
* reg econ1 growth10
* reg econ1 unemp10
* reg econ1 infl10
* reg econ1 tradebal10
* reg econ1 govsize10
* reg econ1 socexp10
* reg econ1 budgdef10
* reg econ1 incineq1
* reg econ1 incineq2
* reg econ1 incineq3
* reg econ1 pop
* reg econ1 area
* reg econ1 popdens
* reg econ1 ethnic
* reg econ1 religion
* reg econ1 hdi02
* reg econ1 urban
* reg econ1 legeng
* reg econ1 legfren
* reg econ1 legger
* reg econ1 legscan
* reg econ1 democ
* reg econ1 medage
* reg econ1 polisys
* * model1 specification
* reg econ1 unemp10 infl10 tradebal10 budgdef10 incineq2 area hdi02 urban legfren legscan democ medage
* reg econ1 infl10 tradebal10 budgdef10 incineq2 area hdi02 urban legfren legscan democ medage
* reg econ1 infl10 tradebal10 budgdef10 incineq2 area hdi02 urban legfren democ medage
* reg econ1 infl10 tradebal10 incineq2 area hdi02 urban legfren democ medage
* reg econ1 infl10 tradebal10 incineq2 area hdi02 urban legfren medage
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage
* vif
* * inclusion of federalism, decentralization, fiscal variables
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage feddummy
* reg econ1 infl10 tradebal10 area hdi02 legfren medage feddummy
* reg econ1 infl10 tradebal10 area hdi02 legfren feddummy
* reg econ1 infl10 tradebal10 hdi02 legfren feddummy
* reg econ1 infl10 hdi02 legfren feddummy
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage fedtype
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage fedlijp
* reg econ1 infl10 tradebal10 area hdi02 legfren medage fedlijp
* reg econ1 infl10 tradebal10 hdi02 legfren medage fedlijp
* reg econ1 infl10 tradebal10 hdi02 legfren fedlijp
* reg econ1 infl10 hdi02 legfren fedlijp
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage fedkeman
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage fedtreis
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage fedgth
* reg econ1 infl10 tradebal10 area hdi02 legfren medage fedgth
* reg econ1 infl10 tradebal10 area hdi02 legfren fedgth
* reg econ1 infl10 tradebal10 hdi02 legfren fedgth
* reg econ1 infl10 hdi02 legfren fedgth
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage fedmadx
* reg econ1 infl10 tradebal10 area hdi02 legfren medage fedmadx
* reg econ1 infl10 tradebal10 area hdi02 legfren fedmadx
* reg econ1 infl10 tradebal10 hdi02 legfren fedmadx
* reg econ1 infl10 hdi02 legfren fedmadx
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage pcgrants
* reg econ1 tradebal10 incineq2 area hdi02 legfren medage pcgrants
* reg econ1 incineq2 area hdi02 legfren medage pcgrants
* reg econ1 incineq2 hdi02 legfren medage pcgrants
* reg econ1 incineq2 hdi02 legfren pcgrants
* reg econ1 hdi02 legfren pcgrants
* reg econ1 hdi02 legfren pcgrants feddummy
* reg econ1 hdi02 pcgrants feddummy
* reg econ1 hdi02 legfren pcgrants fedtype
* reg econ1 hdi02 pcgrants fedtype
* reg econ1 hdi02 legfren pcgrants fedlijp
* reg econ1 hdi02 pcgrants fedlijp
* reg econ1 hdi02 legfren pcgrants fedkeman
* reg econ1 hdi02 pcgrants fedkeman
* reg econ1 hdi02 legfren pcgrants fedtreis
* reg econ1 hdi02 legfren pcgrants fedgth
* reg econ1 hdi02 legfren pcgrants fedmadx
* reg econ1 hdi02 pcgrants fedmadx
* reg econ1 hdi02 legfren pcgrants dezrev2
* reg econ1 hdi02 pcgrants dezrev2
* reg econ1 hdi02 legfren pcgrants dezrev3
* reg econ1 hdi02 legfren pcgrants dezrev4
* reg econ1 hdi02 legfren pcgrants borrauton
* reg econ1 hdi02 legfren pcgrants hbc
* reg econ1 hdi02 legfren pcgrants snadm
* reg econ1 hdi02 pcgrants snadm
* reg econ1 hdi02 legfren pcgrants dezrev1
* reg econ1 hdi02 legfren pcgrants pcsnborr
* reg econ1 hdi02 legfren pcgrants fimb1
* reg econ1 hdi02 legfren fimb1
* reg econ1 hdi02 legfren fimb1 feddummy
* reg econ1 hdi02 legfren fimb1 fedtype
* reg econ1 hdi02 legfren fimb1 fedlijp
* reg econ1 hdi02 fimb1 fedlijp
* reg econ1 hdi02 legfren fimb1 fedkeman
* reg econ1 hdi02 fimb1 fedkeman
* reg econ1 hdi02 legfren fimb1 fedtreis
* reg econ1 hdi02 legfren fimb1 fedgth
* reg econ1 hdi02 legfren fimb1 fedmadx
* reg econ1 hdi02 legfren fimb1 dezrev2
* reg econ1 hdi02 fimb1 dezrev2
* reg econ1 hdi02 legfren fimb1 dezrev3
* reg econ1 hdi02 legfren fimb1 dezrev4
* reg econ1 hdi02 legfren fimb1 borrauton
* reg econ1 hdi02 legfren fimb1 hbc
* reg econ1 hdi02 legfren fimb1 snadm
* reg econ1 hdi02 fimb1 snadm
* reg econ1 hdi02 legfren fimb1 dezrev1
* reg econ1 hdi02 legfren fimb1 pcsnborr
* reg econ1 hdi02 legfren fimb1 fimb2
* reg econ1 hdi02 legfren fimb1 grants
* reg econ1 hdi02 legfren fimb1 grants feddummy
* reg econ1 hdi02 legfren fimb1 grants fedtype
* reg econ1 hdi02 legfren fimb1 grants fedlijp
* reg econ1 hdi02 legfren fimb1 grants fedkeman
* reg econ1 hdi02 legfren fimb1 grants fedtreis
* reg econ1 hdi02 legfren fimb1 grants fedgth
* reg econ1 hdi02 legfren fimb1 grants fedmadx
* reg econ1 hdi02 legfren fimb1 grants pcgrants
* reg econ1 hdi02 legfren fimb1 grants dezrev2
* reg econ1 hdi02 legfren fimb1 grants dezrev3
* reg econ1 hdi02 legfren fimb1 grants dezrev4
* reg econ1 hdi02 legfren fimb1 grants borrauton
* vif
* reg econ1 hdi02 legfren fimb1 grants borrauton feddummy
* reg econ1 hdi02 legfren fimb1 grants borrauton fedtype
* reg econ1 hdi02 legfren fimb1 grants borrauton fedlijp
* reg econ1 hdi02 legfren fimb1 borrauton fedlijp
* reg econ1 hdi02 fimb1 borrauton fedlijp
* reg econ1 hdi02 legfren fimb1 grants borrauton fedkeman
* reg econ1 hdi02 legfren fimb1 grants borrauton fedtreis
* reg econ1 hdi02 legfren fimb1 grants borrauton fedgth
* reg econ1 hdi02 legfren fimb1 borrauton fedgth
* reg econ1 hdi02 legfren fimb1 grants borrauton fedmadx
* reg econ1 hdi02 legfren fimb1 grants borrauton pcgrants
* reg econ1 hdi02 legfren fimb1 grants borrauton dezrev2
* reg econ1 hdi02 legfren fimb1 grants borrauton dezrev3
* reg econ1 hdi02 legfren fimb1 grants borrauton dezrev4
* reg econ1 hdi02 legfren fimb1 grants borrauton hbc
* reg econ1 hdi02 legfren fimb1 grants borrauton snadm
* reg econ1 hdi02 legfren fimb1 grants borrauton dezrev1
* reg econ1 hdi02 legfren fimb1 grants borrauton fimb2
* reg econ1 hdi02 legfren grants borrauton fimb2
* reg econ1 hdi02 grants borrauton fimb2
* reg econ1 hdi02 grants fimb2
* reg econ1 hdi02 grants fimb2 feddummy
* reg econ1 hdi02 grants fimb2 fedtype
* reg econ1 hdi02 grants fimb2 fedlijp
* reg econ1 hdi02 fimb2 fedlijp
* reg econ1 hdi02 grants fimb2 fedkeman
* reg econ1 hdi02 grants fimb2 fedtreis
* reg econ1 hdi02 grants fimb2 fedgth
* reg econ1 hdi02 grants fimb2 fedmadx
* reg econ1 hdi02 grants fimb2 pcgrants
* reg econ1 hdi02 grants fimb2 dezrev2
* reg econ1 hdi02 grants fimb2 dezrev3
* reg econ1 hdi02 grants fimb2 dezrev4
* reg econ1 hdi02 grants fimb2 borrauton
* reg econ1 hdi02 grants fimb2 hbc
* reg econ1 hdi02 grants fimb2 snadm
* reg econ1 hdi02 grants fimb2 dezrev1
* reg econ1 hdi02 grants fimb2 pcsnborr
* reg econ1 hdi02 grants fimb2 fimb1
* reg econ1 hdi02 grants fimb2 dezexp
* reg econ1 hdi02 fimb2 dezexp
* reg econ1 hdi02 grants fimb2 econ
* reg econ1 hdi02 legfren fimb1 grants borrauton dezexp
* reg econ1 hdi02 legfren fimb1 grants borrauton econ
* reg econ1 hdi02 legfren grants borrauton econ
* reg econ1 hdi02 legfren fimb1 grants hbc
* vif
* reg econ1 hdi02 legfren fimb1 grants hbc feddummy
* reg econ1 hdi02 legfren fimb1 grants hbc fedtype
* reg econ1 hdi02 legfren fimb1 grants hbc fedlijp
* reg econ1 hdi02 legfren fimb1 hbc fedlijp
* reg econ1 hdi02 fimb1 hbc fedlijp
* reg econ1 hdi02 legfren fimb1 grants hbc fedkeman
* reg econ1 hdi02 legfren fimb1 grants hbc fedtreis
* reg econ1 hdi02 legfren fimb1 grants hbc fedgth
* reg econ1 hdi02 legfren fimb1 hbc fedgth
* reg econ1 hdi02 legfren fimb1 grants hbc fedmadx
* reg econ1 hdi02 legfren fimb1 grants hbc pcgrants
* reg econ1 hdi02 legfren fimb1 grants hbc dezrev2
* reg econ1 hdi02 legfren fimb1 grants hbc dezrev3
* reg econ1 hdi02 legfren fimb1 grants hbc dezrev4
* reg econ1 hdi02 legfren grants hbc dezrev4
* reg econ1 hdi02 legfren fimb1 grants hbc snadm
* reg econ1 hdi02 legfren fimb1 grants hbc dezrev1
* reg econ1 hdi02 legfren fimb1 grants hbc pcsnborr
* reg econ1 hdi02 fimb1 grants hbc pcsnborr
* reg econ1 hdi02 fimb1 grants pcsnborr
* reg econ1 hdi02 fimb1 grants pcsnborr feddummy
* reg econ1 hdi02 fimb1 grants pcsnborr fedtype
* reg econ1 hdi02 fimb1 grants pcsnborr fedlijp
* reg econ1 hdi02 fimb1 grants pcsnborr fedkeman
* reg econ1 hdi02 fimb1 grants pcsnborr fedtreis
* reg econ1 hdi02 fimb1 grants pcsnborr fedgth
* reg econ1 hdi02 fimb1 grants pcsnborr fedmadx
* reg econ1 hdi02 fimb1 grants pcsnborr pcgrants
* reg econ1 hdi02 fimb1 grants pcsnborr dezrev2
* reg econ1 hdi02 fimb1 grants pcsnborr dezrev3
* reg econ1 hdi02 fimb1 grants pcsnborr dezrev4
* reg econ1 hdi02 fimb1 grants pcsnborr borrauton
* reg econ1 hdi02 fimb1 grants pcsnborr hbc
* reg econ1 hdi02 fimb1 grants pcsnborr snadm
* reg econ1 hdi02 fimb1 grants pcsnborr dezrev1
* reg econ1 hdi02 fimb1 grants pcsnborr fimb2
* vif
* reg econ1 hdi02 fimb1 grants pcsnborr dezexp
* reg econ1 hdi02 fimb1 pcsnborr dezexp
* reg econ1 hdi02 fimb1 dezexp
* reg econ1 hdi02 fimb1 grants pcsnborr econ
* reg econ1 hdi02 legfren fimb1 grants hbc fimb2
* reg econ1 hdi02 legfren fimb1 grants hbc dezexp
* reg econ1 hdi02 legfren fimb1 grants hbc econ
* reg econ1 hdi02 legfren grants hbc econ
* reg econ1 hdi02 legfren fimb1 grants snadm
* reg econ1 hdi02 fimb1 grants snadm
* reg econ1 hdi02 legfren fimb1 grants dezrev1
* reg econ1 hdi02 fimb1 grants dezrev1
* reg econ1 hdi02 legfren fimb1 grants pcsnborr
* reg econ1 hdi02 fimb1 grants pcsnborr
* reg econ1 hdi02 legfren fimb1 grants fimb2
* reg econ1 hdi02 fimb1 grants fimb2
* reg econ1 hdi02 legfren fimb1 grants dezexp
* reg econ1 hdi02 legfren fimb1 grants econ
* reg econ1 hdi02 legfren fimb1 dezexp
* reg econ1 hdi02 legfren fimb1 econ
* reg econ1 hdi02 legfren pcgrants fimb2
* reg econ1 hdi02 legfren fimb2
* reg econ1 hdi02 fimb2
* reg econ1 hdi02 fimb2 feddummy
* reg econ1 hdi02 fimb2 fedtype
* reg econ1 hdi02 fimb2 fedkeman
* reg econ1 hdi02 fimb2 fedtreis
* reg econ1 hdi02 fimb2 fedgth
* reg econ1 hdi02 fimb2 fedmadx
* reg econ1 hdi02 fimb2 pcgrants
* reg econ1 hdi02 fimb2 dezrev2
* reg econ1 hdi02 fimb2 dezrev3
* reg econ1 hdi02 fimb2 dezrev4
* reg econ1 hdi02 fimb2 borrauton
* reg econ1 hdi02 fimb2 hbc
* reg econ1 hdi02 fimb2 snadm
* reg econ1 hdi02 fimb2 dezrev1
* reg econ1 hdi02 fimb2 pcsnborr
* reg econ1 hdi02 fimb2 dezexp
* reg econ1 hdi02 fimb2 econ
* reg econ1 hdi02 legfren pcgrants grants
* reg econ1 hdi02 legfren pcgrants dezexp
* reg econ1 hdi02 pcgrants dezexp
* reg econ1 hdi02 legfren pcgrants econ
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage dezrev2
* reg econ1 tradebal10 incineq2 area hdi02 legfren medage dezrev2
* reg econ1 tradebal10 incineq2 hdi02 legfren medage dezrev2
* reg econ1 incineq2 hdi02 legfren medage dezrev2
* reg econ1 incineq2 hdi02 legfren dezrev2
* reg econ1 hdi02 legfren dezrev2
* reg econ1 hdi02 dezrev2
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage dezrev3
* reg econ1 tradebal10 incineq2 area hdi02 legfren medage dezrev3
* reg econ1 tradebal10 incineq2 area hdi02 legfren dezrev3
* reg econ1 tradebal10 incineq2 hdi02 legfren dezrev3
* reg econ1 incineq2 hdi02 legfren dezrev3
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage dezrev4
* reg econ1 infl10 tradebal10 incineq2 area legfren medage dezrev4
* reg econ1 infl10 tradebal10 incineq2 area legfren dezrev4
* reg econ1 infl10 tradebal10 area legfren dezrev4
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage borrauton
* reg econ1 infl10 incineq2 area hdi02 legfren medage borrauton
* reg econ1 infl10 incineq2 hdi02 legfren medage borrauton
* reg econ1 incineq2 hdi02 legfren medage borrauton
* reg econ1 incineq2 hdi02 legfren borrauton
* reg econ1 hdi02 legfren borrauton
* reg econ1 hdi02 legfren borrauton feddummy
* reg econ1 hdi02 legfren borrauton fedtype
* reg econ1 hdi02 legfren borrauton fedlijp
* reg econ1 hdi02 legfren borrauton fedkeman
* reg econ1 hdi02 legfren borrauton fedtreis
* reg econ1 hdi02 legfren borrauton fedgth
* reg econ1 hdi02 legfren borrauton fedmadx
* reg econ1 hdi02 legfren borrauton pcgrants
* reg econ1 hdi02 legfren borrauton dezrev2
* reg econ1 hdi02 legfren borrauton dezrev3
* reg econ1 hdi02 legfren borrauton dezrev4
* reg econ1 hdi02 legfren borrauton hbc
* reg econ1 hdi02 legfren hbc
* reg econ1 hdi02 legfren hbc feddummy
* reg econ1 hdi02 legfren hbc fedtype
* reg econ1 hdi02 legfren hbc fedlijp
* reg econ1 hdi02 legfren hbc fedkeman
* reg econ1 hdi02 legfren hbc fedtreis
* reg econ1 hdi02 legfren hbc fedgth
* reg econ1 hdi02 legfren hbc fedmadx
* reg econ1 hdi02 legfren hbc pcgrants
* reg econ1 hdi02 legfren hbc dezrev2
* reg econ1 hdi02 legfren hbc dezrev3
* reg econ1 hdi02 legfren hbc dezrev4
* reg econ1 hdi02 legfren hbc snadm
* reg econ1 hdi02 legfren hbc dezrev1
* reg econ1 hdi02 hbc dezrev1
* reg econ1 hdi02 legfren hbc pcsnborr
* reg econ1 hdi02 legfren hbc fimb1
* reg econ1 hdi02 legfren hbc fimb2
* reg econ1 hdi02 legfren hbc grants
* reg econ1 hdi02 legfren hbc dezexp
* reg econ1 hdi02 hbc dezexp
* reg econ1 hdi02 legfren hbc econ
* reg econ1 hdi02 legfren borrauton snadm
* reg econ1 hdi02 legfren borrauton dezrev1
* reg econ1 hdi02 legfren borrauton pcsnborr
* reg econ1 hdi02 legfren borrauton fimb1
* reg econ1 hdi02 legfren borrauton fimb2
* reg econ1 hdi02 legfren borrauton grants
* reg econ1 hdi02 legfren borrauton dezexp
* reg econ1 hdi02 borrauton dezexp
* reg econ1 hdi02 legfren borrauton econ
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage hbc
* reg econ1 infl10 incineq2 area hdi02 legfren medage hbc
* reg econ1 infl10 incineq2 hdi02 legfren medage hbc
* reg econ1 incineq2 hdi02 legfren medage hbc
* reg econ1 incineq2 hdi02 legfren hbc
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage snadm
* reg econ1 infl10 incineq2 area hdi02 legfren medage snadm
* reg econ1 infl10 area hdi02 legfren medage snadm
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage dezrev1
* reg econ1 tradebal10 incineq2 area hdi02 legfren medage dezrev1
* reg econ1 tradebal10 incineq2 area hdi02 legfren dezrev1
* reg econ1 tradebal10 incineq2 hdi02 legfren dezrev1
* reg econ1 incineq2 hdi02 legfren dezrev1
* reg econ1 hdi02 legfren dezrev1
* reg econ1 hdi02 dezrev1
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage pcsnborr
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage fimb1
* reg econ1 tradebal10 incineq2 area hdi02 legfren medage fimb1
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage fimb2
* reg econ1 tradebal10 incineq2 area hdi02 legfren medage fimb2
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage grants
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage dezexp
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren dezexp
* reg econ1 infl10 tradebal10 incineq2 hdi02 legfren dezexp
* reg econ1 infl10 incineq2 hdi02 legfren dezexp
* reg econ1 infl10 hdi02 legfren dezexp
* reg econ1 hdi02 legfren dezexp
* reg econ1 hdi02 dezexp
* reg econ1 infl10 tradebal10 incineq2 area hdi02 legfren medage econ
* reg econ1 infl10 incineq2 area hdi02 legfren medage econ
* reg econ1 infl10 incineq2 hdi02 legfren medage econ
* * model11 specification
reg econ1 infl10 hdi02 legfren feddummy
* vif
hettest
predict econ1hat1
predict econ1e1, r
graph econ1e1 econ1hat1
save econ11.gph, replace
swilk econ1e1
predict econ1cook1, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook1 country if econ1cook1 > `max'
* reg econ1 infl10 hdi02 legfren feddummy if econ1cook1 < .5
reg econ1 hdi02 legfren feddummy if econ1cook1 < .5
hettest
reg econ1 hdi02 legfren feddummy fedtype if econ1cook1 < .5
* reg econ1 hdi02 legfren feddummy dezrev2 if econ1cook1 < .5
reg econ1 hdi02 feddummy dezrev2 if econ1cook1 < .5
reg econ1 hdi02 legfren feddummy dezrev3 if econ1cook1 < .5
reg econ1 hdi02 legfren feddummy dezrev4 if econ1cook1 < .5
reg econ1 hdi02 legfren feddummy snadm if econ1cook1 < .5
* reg econ1 hdi02 legfren feddummy dezrev1 if econ1cook1 < .5
* reg econ1 hdi02 feddummy dezrev1 if econ1cook1 < .5
reg econ1 hdi02 dezrev1 if econ1cook1 < .5
* reg econ1 hdi02 legfren feddummy dezexp if econ1cook1 < .5
* reg econ1 hdi02 legfren dezexp if econ1cook1 < .5
reg econ1 hdi02 dezexp if econ1cook1 < .5
reg econ1 hdi02 legfren feddummy econ if econ1cook1 < .5
* * model12 specification
reg econ1 infl10 hdi02 legfren fedlijp
* vif
hettest
predict econ1hat2
predict econ1e2, r
graph econ1e2 econ1hat2
save econ12.gph, replace
swilk econ1e2
predict econ1cook2, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook2 country if econ1cook2 > `max'
reg econ1 infl10 hdi02 legfren fedlijp fedtype
* reg econ1 infl10 hdi02 legfren fedlijp dezrev2
reg econ1 infl10 hdi02 fedlijp dezrev2
* reg econ1 infl10 hdi02 legfren fedlijp dezrev3
reg econ1 hdi02 legfren fedlijp dezrev3
reg econ1 infl10 hdi02 legfren fedlijp dezrev4
* reg econ1 infl10 hdi02 legfren fedlijp snadm
reg econ1 infl10 hdi02 fedlijp snadm
* reg econ1 infl10 hdi02 legfren fedlijp dezrev1
* reg econ1 infl10 hdi02 fedlijp dezrev1
* reg econ1 infl10 hdi02 dezrev1
reg econ1 hdi02 dezrev1
* reg econ1 infl10 hdi02 legfren fedlijp dezexp
* reg econ1 infl10 hdi02 fedlijp dezexp
* reg econ1 infl10 hdi02 dezexp
reg econ1 hdi02 dezexp
reg econ1 infl10 hdi02 legfren fedlijp econ
* * model13 specification
reg econ1 infl10 hdi02 legfren fedgth
* vif
hettest
predict econ1hat3
predict econ1e3, r
graph econ1e3 econ1hat3
save econ13.gph, replace
swilk econ1e3
predict econ1cook3, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook3 country if econ1cook3 > `max'
* reg econ1 infl10 hdi02 legfren fedgth if econ1cook3 < .5
reg econ1 hdi02 legfren fedgth if econ1cook3 < .5
hettest
reg econ1 hdi02 legfren fedgth fedtype if econ1cook3 < .5
* reg econ1 hdi02 legfren fedgth dezrev2 if econ1cook3 < .5
reg econ1 hdi02 fedgth dezrev2 if econ1cook3 < .5
reg econ1 hdi02 legfren fedgth dezrev3 if econ1cook3 < .5
reg econ1 hdi02 legfren fedgth dezrev4 if econ1cook3 < .5
reg econ1 hdi02 legfren fedgth snadm if econ1cook3 < .5
reg econ1 hdi02 legfren fedgth dezrev1 if econ1cook3 < .5
* reg econ1 hdi02 legfren fedgth dezexp if econ1cook3 < .5
reg econ1 hdi02 legfren dezexp if econ1cook3 < .5
reg econ1 hdi02 dezexp if econ1cook3 < .5
reg econ1 hdi02 legfren fedgth econ if econ1cook3 < .5
* * model14 specification
reg econ1 infl10 hdi02 legfren fedmadx
* vif
hettest
predict econ1hat4
predict econ1e4, r
graph econ1e4 econ1hat4
save econ14.gph, replace
swilk econ1e4
predict econ1cook4, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook4 country if econ1cook4 > `max'
* reg econ1 infl10 hdi02 legfren fedmadx if econ1cook4 < .5
reg econ1 hdi02 legfren fedmadx if econ1cook4 < .5
hettest
reg econ1 hdi02 legfren fedmadx fedtype if econ1cook4 < .5
* reg econ1 hdi02 legfren fedmadx dezrev2 if econ1cook4 < .5
* reg econ1 hdi02 fedmadx dezrev2 if econ1cook4 < .5
reg econ1 hdi02 dezrev2 if econ1cook4 < .5
reg econ1 hdi02 legfren fedmadx dezrev3 if econ1cook4 < .5
reg econ1 hdi02 legfren fedmadx dezrev4 if econ1cook4 < .5
* reg econ1 hdi02 legfren fedmadx snadm if econ1cook4 < .5
reg econ1 hdi02 legfren snadm if econ1cook4 < .5
* reg econ1 hdi02 legfren fedmadx dezrev1 if econ1cook4 < .5
* reg econ1 hdi02 legfren dezrev1 if econ1cook4 < .5
reg econ1 hdi02 dezrev1 if econ1cook4 < .5
* reg econ1 hdi02 legfren fedmadx dezexp if econ1cook4 < .5
* reg econ1 hdi02 legfren dezexp if econ1cook4 < .5
reg econ1 hdi02 dezexp if econ1cook4 < .5
reg econ1 hdi02 legfren fedmadx econ if econ1cook4 < .5
* model15 specification
reg econ1 hdi02 pcgrants feddummy
* vif
hettest
* predict econ1hat5
predict econ1e5, r
* graph econ1e5 econ1hat5
* save econ15.gph, replace
swilk econ1e5
predict econ1cook5, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook5 country if econ1cook5 > `max'
reg econ1 hdi02 pcgrants feddummy if econ1cook5 < `max'
hettest
predict econ1hat6
predict econ1e6, r
graph econ1e6 econ1hat6 if econ1cook5 < `max'
save econ16.gph, replace
swilk econ1e6 if econ1cook5 < `max'
reg econ1 hdi02 pcgrants feddummy fedtype if econ1cook5 < `max'
reg econ1 hdi02 pcgrants feddummy dezrev2 if econ1cook5 < `max'
* reg econ1 hdi02 pcgrants feddummy dezrev3 if econ1cook5 < `max'
reg econ1 hdi02 feddummy dezrev3 if econ1cook5 < `max'
reg econ1 hdi02 pcgrants feddummy dezrev4 if econ1cook5 < `max'
reg econ1 hdi02 pcgrants feddummy snadm if econ1cook5 < `max'
reg econ1 hdi02 pcgrants feddummy dezrev1 if econ1cook5 < `max'
reg econ1 hdi02 pcgrants feddummy dezexp if econ1cook5 < `max'
reg econ1 hdi02 pcgrants feddummy econ if econ1cook5 < `max'
* * model16 specification
reg econ1 hdi02 pcgrants fedlijp
* vif
hettest
* predict econ1hat7
predict econ1e7, r
* graph econ1e7 econ1hat7
* save econ17.gph, replace
swilk econ1e7
predict econ1cook7, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook7 country if econ1cook7 > `max'
* reg econ1 hdi02 pcgrants fedlijp if econ1cook7 < .5
reg econ1 pcgrants fedlijp if econ1cook7 < .5
hettest
predict econ1hat8
predict econ1e8, r
graph econ1e8 econ1hat8 if econ1cook7 < .5
save econ18.gph, replace
swilk econ1e8 if econ1cook7 < .5
reg econ1 pcgrants fedlijp fedtype if econ1cook7 < .5
reg econ1 pcgrants fedlijp dezrev2 if econ1cook7 < .5
reg econ1 pcgrants fedlijp dezrev3 if econ1cook7 < .5
reg econ1 pcgrants fedlijp dezrev4 if econ1cook7 < .5
reg econ1 pcgrants fedlijp snadm if econ1cook7 < .5
reg econ1 pcgrants fedlijp dezrev1 if econ1cook7 < .5
reg econ1 pcgrants fedlijp dezexp if econ1cook7 < .5
reg econ1 pcgrants fedlijp econ if econ1cook7 < .5
* * model17 specification
reg econ1 hdi02 pcgrants fedkeman
* vif
hettest
predict econ1hat9
predict econ1e9, r
graph econ1e9 econ1hat9
save econ19.gph, replace
swilk econ1e9
predict econ1cook9, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook9 country if econ1cook9 > `max'
* reg econ1 hdi02 pcgrants fedkeman if econ1cook9 < .5
reg econ1 pcgrants fedkeman if econ1cook9 < .5
hettest
* reg econ1 pcgrants fedkeman fedtype if econ1cook9 < .5
reg econ1 pcgrants fedtype if econ1cook9 < .5
reg econ1 pcgrants fedkeman dezrev2 if econ1cook9 < .5
reg econ1 pcgrants fedkeman dezrev3 if econ1cook9 < .5
reg econ1 pcgrants fedkeman dezrev4 if econ1cook9 < .5
* reg econ1 pcgrants fedkeman snadm if econ1cook9 < .5
reg econ1 pcgrants snadm if econ1cook9 < .5
reg econ1 pcgrants fedkeman dezrev1 if econ1cook9 < .5
* reg econ1 pcgrants fedkeman dezexp if econ1cook9 < .5
reg econ1 pcgrants dezexp if econ1cook9 < .5
reg econ1 pcgrants fedkeman econ if econ1cook9 < .5
reg econ1 pcgrants fedtype dezrev2 if econ1cook9 < .5
reg econ1 pcgrants fedtype dezrev3 if econ1cook9 < .5
reg econ1 pcgrants fedtype dezrev4 if econ1cook9 < .5
reg econ1 pcgrants fedtype snadm if econ1cook9 < .5
reg econ1 pcgrants fedtype dezrev1 if econ1cook9 < .5
reg econ1 pcgrants fedtype dezexp if econ1cook9 < .5
reg econ1 pcgrants fedtype econ if econ1cook9 < .5
* * model18 specification
reg econ1 hdi02 legfren pcgrants fedgth
* vif
hettest
predict econ1hat10
predict econ1e10, r
graph econ1e10 econ1hat10
save econ110.gph, replace
swilk econ1e10
predict econ1cook10, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook10 country if econ1cook10 > `max'
reg econ1 hdi02 legfren pcgrants fedgth fedtype
* reg econ1 hdi02 legfren pcgrants fedgth dezrev2
* reg econ1 hdi02 legfren fedgth dezrev2
reg econ1 hdi02 fedgth dezrev2
* reg econ1 hdi02 legfren pcgrants fedgth dezrev3
reg econ1 hdi02 legfren fedgth dezrev3
reg econ1 hdi02 legfren pcgrants fedgth dezrev4
* reg econ1 hdi02 legfren pcgrants fedgth snadm
reg econ1 hdi02 pcgrants fedgth snadm
* reg econ1 hdi02 legfren pcgrants fedgth dezrev1
reg econ1 hdi02 legfren fedgth dezrev1
* reg econ1 hdi02 legfren pcgrants fedgth dezexp
* reg econ1 hdi02 pcgrants fedgth dezexp
* reg econ1 hdi02 pcgrants dezexp
reg econ1 pcgrants dezexp
reg econ1 hdi02 legfren pcgrants fedgth econ
* * model19 specification
reg econ1 hdi02 pcgrants fedmadx
* vif
hettest
* predict econ1hat11
predict econ1e11, r
* graph econ1e11 econ1hat11
* save econ111.gph, replace
swilk econ1e11
predict econ1cook11, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook11 country if econ1cook11 > `max'
reg econ1 hdi02 pcgrants fedmadx if econ1cook11 < .3
hettest
predict econ1hat12
predict econ1e12, r
graph econ1e12 econ1hat12 if econ1cook11 < .3
save econ112.gph, replace
swilk econ1e12 if econ1cook11 < .3
reg econ1 hdi02 pcgrants fedmadx fedtype if econ1cook11 < .3
reg econ1 hdi02 pcgrants fedmadx dezrev2 if econ1cook11 < .3
reg econ1 hdi02 pcgrants fedmadx dezrev3 if econ1cook11 < .3
reg econ1 hdi02 pcgrants fedmadx dezrev4 if econ1cook11 < .3
* reg econ1 hdi02 pcgrants fedmadx snadm if econ1cook11 < .3
reg econ1 hdi02 pcgrants snadm if econ1cook11 < .3
reg econ1 hdi02 pcgrants fedmadx dezrev1 if econ1cook11 < .3
reg econ1 hdi02 pcgrants fedmadx dezexp if econ1cook11 < .3
reg econ1 hdi02 pcgrants fedmadx econ if econ1cook11 < .3
* * model110 specification
reg econ1 hdi02 pcgrants snadm
* vif
hettest
* predict econ1hat13
predict econ1e13, r
* graph econ1e13 econ1hat13
* save econ113.gph, replace
swilk econ1e13
predict econ1cook13, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook13 country if econ1cook13 > `max'
* reg econ1 hdi02 pcgrants snadm if econ1cook13 < .5
reg econ1 pcgrants snadm if econ1cook13 < .5
hettest
predict econ1hat14
predict econ1e14, r
graph econ1e14 econ1hat14 if econ1cook13 < .5
save econ114.gph, replace
swilk econ1e14 if econ1cook13 < .5
reg econ1 pcgrants snadm feddummy if econ1cook13 < .5
reg econ1 pcgrants snadm fedtype if econ1cook13 < .5
reg econ1 pcgrants snadm fedlijp if econ1cook13 < .5
reg econ1 pcgrants snadm fedkeman if econ1cook13 < .5
reg econ1 pcgrants snadm fedtreis if econ1cook13 < .5
reg econ1 pcgrants snadm fedgth if econ1cook13 < .5
reg econ1 pcgrants snadm fedmadx if econ1cook13 < .5
reg econ1 pcgrants snadm feddummy fedtype if econ1cook13 < .5
* * model111 specification
reg econ1 hdi02 legfren fimb1 feddummy
* vif
hettest
predict econ1hat15
predict econ1e15, r
graph econ1e15 econ1hat15
save econ115.gph, replace
swilk econ1e15
predict econ1cook15, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook15 country if econ1cook15 > `max'
estat ic
reg econ1 hdi02 legfren fimb1 feddummy fedtype
* reg econ1 hdi02 legfren fimb1 feddummy dezrev2
* reg econ1 hdi02 fimb1 feddummy dezrev2
reg econ1 hdi02 feddummy dezrev2
* reg econ1 hdi02 legfren fimb1 feddummy dezrev3
reg econ1 hdi02 legfren feddummy dezrev3
reg econ1 hdi02 legfren fimb1 feddummy dezrev4
* reg econ1 hdi02 legfren fimb1 feddummy dezrev1
* reg econ1 hdi02 legfren feddummy dezrev1
* reg econ1 hdi02 feddummy dezrev1
reg econ1 hdi02 dezrev1
* reg econ1 hdi02 legfren fimb1 feddummy dezexp
* reg econ1 hdi02 fimb1 feddummy dezexp
reg econ1 hdi02 fimb1 dezexp
reg econ1 hdi02 legfren fimb1 feddummy econ
* * model112 specification
reg econ1 hdi02 fimb1 fedlijp
* vif
hettest
predict econ1hat16
predict econ1e16, r
graph econ1e16 econ1hat16
save econ116.gph, replace
swilk econ1e16
predict econ1cook16, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook16 country if econ1cook16 > `max'
reg econ1 hdi02 fimb1 fedlijp fedtype
reg econ1 hdi02 fimb1 fedlijp dezrev2
* reg econ1 hdi02 fimb1 fedlijp dezrev3
reg econ1 hdi02 fedlijp dezrev3
reg econ1 hdi02 fimb1 fedlijp dezrev4
reg econ1 hdi02 fimb1 fedlijp snadm
reg econ1 hdi02 fimb1 fedlijp dezrev1
reg econ1 hdi02 fimb1 fedlijp dezexp
reg econ1 hdi02 fimb1 fedlijp econ
* * model113 specification
* reg econ1 hdi02 legfren fimb1 fedtreis
* vif
* hettest
* predict econ1hat17
* predict econ1e17, r
* graph econ1e17 econ1hat17
* save econ117.gph, replace
* swilk econ1e17
* predict econ1cook17, cooksd
* local max = 4/e(N)
* display `max'
* tab econ1cook17 country if econ1cook17 > `max'
* reg econ1 hdi02 legfren fimb1 fedtreis if econ1cook17 < .5
* * model failure
* * model114 specification
reg econ1 hdi02 legfren fimb1 fedgth
* vif
hettest
predict econ1hat18
predict econ1e18, r
graph econ1e18 econ1hat18
save econ118.gph, replace
swilk econ1e18
predict econ1cook18, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook18 country if econ1cook18 > `max'
reg econ1 hdi02 legfren fimb1 fedgth fedtype
reg econ1 hdi02 legfren fimb1 fedgth dezrev2
* reg econ1 hdi02 legfren fimb1 fedgth dezrev3
reg econ1 hdi02 legfren fedgth dezrev3
reg econ1 hdi02 legfren fimb1 fedgth dezrev4
reg econ1 hdi02 legfren fimb1 fedgth snadm
* reg econ1 hdi02 legfren fimb1 fedgth dezrev1
reg econ1 hdi02 legfren fedgth dezrev1
* reg econ1 hdi02 legfren fimb1 fedgth dezexp
* reg econ1 hdi02 fimb1 fedgth dezexp
reg econ1 hdi02 fimb1 dezexp
reg econ1 hdi02 legfren fimb1 fedgth econ
* * model115 specification
reg econ1 hdi02 legfren fimb1 fedmadx
* vif
hettest
predict econ1hat19
predict econ1e19, r
graph econ1e19 econ1hat19
save econ119.gph, replace
swilk econ1e19
predict econ1cook19, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook19 country if econ1cook19 > `max'
reg econ1 hdi02 legfren fimb1 fedmadx fedtype
* reg econ1 hdi02 legfren fimb1 fedmadx dezrev2
* reg econ1 hdi02 fimb1 fedmadx dezrev2
* reg econ1 hdi02 fimb1 dezrev2
reg econ1 hdi02 dezrev2
* reg econ1 hdi02 legfren fimb1 fedmadx dezrev3
reg econ1 hdi02 legfren fedmadx dezrev3
reg econ1 hdi02 legfren fimb1 fedmadx dezrev4
* reg econ1 hdi02 legfren fimb1 fedmadx snadm
* reg econ1 hdi02 fimb1 fedmadx snadm
reg econ1 hdi02 fimb1 snadm
* reg econ1 hdi02 legfren fimb1 fedmadx dezrev1
* reg econ1 hdi02 legfren fedmadx dezrev1
* reg econ1 hdi02 legfren dezrev1
reg econ1 hdi02 dezrev1
* reg econ1 hdi02 legfren fimb1 fedmadx dezexp
* reg econ1 hdi02 legfren fimb1 dezexp
reg econ1 hdi02 fimb1 dezexp
reg econ1 hdi02 legfren fimb1 fedmadx econ
* * model116 specification
reg econ1 hdi02 legfren fimb1 grants feddummy
* vif
hettest
predict econ1hat20
predict econ1e20, r
graph econ1e20 econ1hat20
save econ120.gph, replace
swilk econ1e20
predict econ1cook20, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook20 country if econ1cook20 > `max'
reg econ1 hdi02 legfren fimb1 grants feddummy fedtype
reg econ1 hdi02 legfren fimb1 grants feddummy dezrev2
reg econ1 hdi02 legfren fimb1 grants feddummy dezrev3
reg econ1 hdi02 legfren fimb1 grants feddummy dezrev4
reg econ1 hdi02 legfren fimb1 grants feddummy snadm
* reg econ1 hdi02 legfren fimb1 grants feddummy snadm
* reg econ1 hdi02 legfren fimb1 grants snadm
reg econ1 hdi02 fimb1 grants dezrev1
* reg econ1 hdi02 legfren fimb1 grants feddummy dezexp
* reg econ1 hdi02 legfren fimb1 feddummy dezexp
* reg econ1 hdi02 fimb1 feddummy dezexp
reg econ1 hdi02 fimb1 dezexp
reg econ1 hdi02 legfren fimb1 grants feddummy econ
* * model117 specification
reg econ1 hdi02 legfren fimb1 grants fedgth
* vif
hettest
predict econ1hat21
predict econ1e21, r
graph econ1e21 econ1hat21
save econ121.gph, replace
swilk econ1e21
predict econ1cook21, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook21 country if econ1cook21 > `max'
reg econ1 hdi02 legfren fimb1 grants fedgth fedtype
* reg econ1 hdi02 legfren fimb1 grants fedgth dezrev2
reg econ1 hdi02 legfren fimb1 fedgth dezrev2
reg econ1 hdi02 legfren fimb1 grants fedgth dezrev3
reg econ1 hdi02 legfren fimb1 grants fedgth dezrev4
reg econ1 hdi02 legfren fimb1 grants fedgth snadm
reg econ1 hdi02 legfren fimb1 grants fedgth dezrev1
* reg econ1 hdi02 legfren fimb1 grants fedgth dezexp
* reg econ1 hdi02 legfren fimb1 fedgth dezexp
* reg econ1 hdi02 fimb1 fedgth dezexp
reg econ1 hdi02 fimb1 dezexp
reg econ1 hdi02 legfren fimb1 grants fedgth econ
* * model118 specification
reg econ1 hdi02 legfren fimb1 grants fedmadx
* vif
hettest
predict econ1hat22
predict econ1e22, r
graph econ1e22 econ1hat22
save econ122.gph, replace
swilk econ1e22
predict econ1cook22, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook22 country if econ1cook22 > `max'
reg econ1 hdi02 legfren fimb1 grants fedmadx fedtype
reg econ1 hdi02 legfren fimb1 grants fedmadx dezrev2
reg econ1 hdi02 legfren fimb1 grants fedmadx dezrev3
reg econ1 hdi02 legfren fimb1 grants fedmadx dezrev4
* reg econ1 hdi02 legfren fimb1 grants fedmadx snadm
* reg econ1 hdi02 legfren fimb1 grants snadm
reg econ1 hdi02 fimb1 grants snadm
reg econ1 hdi02 legfren fimb1 grants fedmadx dezrev1
* reg econ1 hdi02 legfren fimb1 grants fedmadx dezexp
* reg econ1 hdi02 legfren fimb1 fedmadx dezexp
* reg econ1 hdi02 legfren fimb1 dezexp
reg econ1 hdi02 fimb1 dezexp
reg econ1 hdi02 legfren fimb1 grants fedmadx econ
* * model118 specification
reg econ1 hdi02 fimb2 fedlijp
* vif
hettest
predict econ1hat23
predict econ1e23, r
graph econ1e23 econ1hat23
save econ123.gph, replace
swilk econ1e23
predict econ1cook23, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook23 country if econ1cook23 > `max'
reg econ1 hdi02 fimb2 fedlijp fedtype
reg econ1 hdi02 fimb2 fedlijp dezrev2
* reg econ1 hdi02 fimb2 fedlijp dezrev3
reg econ1 hdi02 fedlijp dezrev3
reg econ1 hdi02 fimb2 fedlijp dezrev4
reg econ1 hdi02 fimb2 fedlijp snadm
reg econ1 hdi02 fimb2 fedlijp dezrev1
* reg econ1 hdi02 fimb2 fedlijp dezexp
reg econ1 hdi02 fimb2 dezexp
reg econ1 hdi02 fimb2 fedlijp econ
* * model119 specification
reg econ1 hdi02 fimb2 dezexp
* vif
hettest
predict econ1hat24
predict econ1e24, r
graph econ1e24 econ1hat24
save econ124.gph, replace
swilk econ1e24
predict econ1cook24, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook24 country if econ1cook24 > `max'
reg econ1 hdi02 fimb2 dezexp feddummy
reg econ1 hdi02 fimb2 dezexp fedtype
reg econ1 hdi02 fimb2 dezexp fedlijp
reg econ1 hdi02 fimb2 dezexp fedkeman
reg econ1 hdi02 fimb2 dezexp fedtreis
reg econ1 hdi02 fimb2 dezexp fedgth
reg econ1 hdi02 fimb2 dezexp fedmadx
* * model120 specification
reg econ1 hdi02 fimb1 dezexp
* vif
hettest
predict econ1hat25
predict econ1e25, r
graph econ1e25 econ1hat25
save econ125.gph, replace
swilk econ1e25
predict econ1cook25, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook25 country if econ1cook25 > `max'
reg econ1 hdi02 fimb1 dezexp feddummy
reg econ1 hdi02 fimb1 dezexp fedtype
* reg econ1 hdi02 fimb1 dezexp fedlijp
reg econ1 hdi02 fimb1 fedlijp
reg econ1 hdi02 fimb1 dezexp fedkeman
reg econ1 hdi02 fimb1 dezexp fedtreis
reg econ1 hdi02 fimb1 dezexp fedgth
reg econ1 hdi02 fimb1 dezexp fedmadx
* * model121 specification
reg econ1 hdi02 fimb2 feddummy
* vif
hettest
predict econ1hat26
predict econ1e26, r
graph econ1e26 econ1hat26
save econ126.gph, replace
swilk econ1e26
predict econ1cook26, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook26 country if econ1cook26 > `max'
reg econ1 hdi02 fimb2 feddummy fedtype
* reg econ1 hdi02 fimb2 feddummy dezrev2
reg econ1 hdi02 feddummy dezrev2
* reg econ1 hdi02 fimb2 feddummy dezrev3
reg econ1 hdi02 feddummy dezrev3
reg econ1 hdi02 fimb2 feddummy dezrev4
reg econ1 hdi02 fimb2 feddummy snadm
* reg econ1 hdi02 fimb2 feddummy dezrev1
* reg econ1 hdi02 feddummy dezrev1
reg econ1 hdi02 dezrev1
* reg econ1 hdi02 fimb2 feddummy dezexp
reg econ1 hdi02 fimb2 dezexp
reg econ1 hdi02 fimb2 feddummy econ
* * model122 specification
reg econ1 hdi02 fimb2 fedgth
* vif
hettest
predict econ1hat27
predict econ1e27, r
graph econ1e27 econ1hat27
save econ127.gph, replace
swilk econ1e27
predict econ1cook27, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook27 country if econ1cook27 > `max'
reg econ1 hdi02 fimb2 fedgth fedtype
reg econ1 hdi02 fimb2 fedgth dezrev2
* reg econ1 hdi02 fimb2 fedgth dezrev3
reg econ1 hdi02 fedgth dezrev3
reg econ1 hdi02 fimb2 fedgth dezrev4
reg econ1 hdi02 fimb2 fedgth snadm
* reg econ1 hdi02 fimb2 fedgth dezrev1
reg econ1 hdi02 fedgth dezrev1
* reg econ1 hdi02 fimb2 fedgth dezexp
reg econ1 hdi02 fimb2 dezexp
reg econ1 hdi02 fimb2 fedgth econ
* * model123 specification
reg econ1 hdi02 fimb2 fedmadx
* vif
hettest
predict econ1hat28
predict econ1e28, r
graph econ1e28 econ1hat28
save econ128.gph, replace
swilk econ1e28
predict econ1cook28, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook28 country if econ1cook28 > `max'
reg econ1 hdi02 fimb2 fedmadx fedtype
* reg econ1 hdi02 fimb2 fedmadx dezrev2
reg econ1 hdi02 fimb2 dezrev2
* reg econ1 hdi02 fimb2 fedmadx dezrev3
reg econ1 hdi02 fedmadx dezrev3
reg econ1 hdi02 fimb2 fedmadx dezrev4
* reg econ1 hdi02 fimb2 fedmadx snadm
reg econ1 hdi02 fimb2 snadm
* reg econ1 hdi02 fimb2 fedmadx dezrev1
* reg econ1 hdi02 fedmadx dezrev1
reg econ1 hdi02 dezrev1
* reg econ1 hdi02 fimb2 fedmadx dezexp
reg econ1 hdi02 fimb2 dezexp
reg econ1 hdi02 fimb2 fedmadx econ
* * model124 specification
reg econ1 hdi02 fimb2 snadm
* vif
hettest
predict econ1hat29
predict econ1e29, r
graph econ1e29 econ1hat29
save econ129.gph, replace
swilk econ1e29
predict econ1cook29, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook29 country if econ1cook29 > `max'
reg econ1 hdi02 fimb2 snadm if econ1cook29 < .5
reg econ1 hdi02 fimb2 snadm feddummy if econ1cook29 < .5
reg econ1 hdi02 fimb2 snadm fedtype if econ1cook29 < .5
reg econ1 hdi02 fimb2 snadm fedlijp if econ1cook29 < .5
reg econ1 hdi02 fimb2 snadm fedkeman if econ1cook29 < .5
reg econ1 hdi02 fimb2 snadm fedtreis if econ1cook29 < .5
reg econ1 hdi02 fimb2 snadm fedgth if econ1cook29 < .5
reg econ1 hdi02 fimb2 snadm fedmadx if econ1cook29 < .5
* * model125 specification
reg econ1 hdi02 fimb2 dezexp
* vif
hettest
predict econ1hat30
predict econ1e30, r
graph econ1e30 econ1hat30
save econ130.gph, replace
swilk econ1e30
predict econ1cook30, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook30 country if econ1cook30 > `max'
reg econ1 hdi02 fimb2 dezexp feddummy
reg econ1 hdi02 fimb2 dezexp fedtype
reg econ1 hdi02 fimb2 dezexp fedlijp
reg econ1 hdi02 fimb2 dezexp fedkeman
reg econ1 hdi02 fimb2 dezexp fedtreis
reg econ1 hdi02 fimb2 dezexp fedgth
reg econ1 hdi02 fimb2 dezexp fedmadx
* * model126 specification
reg econ1 hdi02 dezrev2
* vif
hettest
predict econ1hat31
predict econ1e31, r
graph econ1e31 econ1hat31
save econ131.gph, replace
swilk econ1e31
predict econ1cook31, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook31 country if econ1cook31 > `max'
reg econ1 hdi02 dezrev2 if econ1cook31 < .5
hettest
reg econ1 hdi02 dezrev2 feddummy if econ1cook31 < .5
reg econ1 hdi02 dezrev2 fedtype if econ1cook31 < .5
reg econ1 hdi02 dezrev2 fedlijp if econ1cook31 < .5
reg econ1 hdi02 dezrev2 fedkeman if econ1cook31 < .5
reg econ1 hdi02 dezrev2 fedtreis if econ1cook31 < .5
reg econ1 hdi02 dezrev2 fedgth if econ1cook31 < .5
reg econ1 hdi02 dezrev2 fedmadx if econ1cook31 < .5
reg econ1 hdi02 dezrev2 fedtype feddummy if econ1cook31 < .5
reg econ1 hdi02 dezrev2 fedtype fedlijp if econ1cook31 < .5
reg econ1 hdi02 dezrev2 fedtype fedkeman if econ1cook31 < .5
reg econ1 hdi02 dezrev2 fedtype fedtreis if econ1cook31 < .5
reg econ1 hdi02 dezrev2 fedtype fedgth if econ1cook31 < .5
reg econ1 hdi02 dezrev2 fedtype fedmadx if econ1cook31 < .5
* * model127 specification
reg econ1 hdi02 legfren borrauton dezrev1
* vif
hettest
predict econ1hat32
predict econ1e32, r
graph econ1e32 econ1hat32
save econ132.gph, replace
swilk econ1e32
predict econ1cook32, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook32 country if econ1cook32 > `max'
reg econ1 hdi02 legfren borrauton dezrev1 if econ1cook32 < .5
hettest
reg econ1 hdi02 legfren borrauton dezrev1 feddummy if econ1cook32 < .5
reg econ1 hdi02 legfren borrauton dezrev1 fedtype if econ1cook32 < .5
* reg econ1 hdi02 legfren borrauton dezrev1 fedlijp if econ1cook32 < .5
reg econ1 hdi02 borrauton dezrev1 fedlijp if econ1cook32 < .5
reg econ1 hdi02 legfren borrauton dezrev1 fedkeman if econ1cook32 < .5
reg econ1 hdi02 legfren borrauton dezrev1 fedtreis if econ1cook32 < .5
reg econ1 hdi02 legfren borrauton dezrev1 fedgth if econ1cook32 < .5
reg econ1 hdi02 legfren borrauton dezrev1 fedmadx if econ1cook32 < .5
* * model128 specification
reg econ1 hdi02 borrauton dezexp
* vif
hettest
predict econ1hat33
predict econ1e33, r
graph econ1e33 econ1hat33
save econ133.gph, replace
swilk econ1e33
predict econ1cook33, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook33 country if econ1cook33 > `max'
reg econ1 hdi02 borrauton dezexp feddummy
reg econ1 hdi02 borrauton dezexp fedtype
reg econ1 hdi02 borrauton dezexp fedlijp
reg econ1 hdi02 borrauton dezexp fedkeman
reg econ1 hdi02 borrauton dezexp fedtreis
reg econ1 hdi02 borrauton dezexp fedgth
reg econ1 hdi02 borrauton dezexp fedmadx
* * model129 specification
reg econ1 hdi02 dezrev1
* vif
hettest
predict econ1hat34
predict econ1e34, r
graph econ1e34 econ1hat34
save econ134.gph, replace
swilk econ1e34
predict econ1cook34, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook34 country if econ1cook34 > `max'
reg econ1 hdi02 dezrev1 if econ1cook34 < .5
hettest
reg econ1 hdi02 dezrev1 feddummy if econ1cook34 < .5
reg econ1 hdi02 dezrev1 fedtype if econ1cook34 < .5
reg econ1 hdi02 dezrev1 fedlijp if econ1cook34 < .5
reg econ1 hdi02 dezrev1 fedkeman if econ1cook34 < .5
reg econ1 hdi02 dezrev1 fedtreis if econ1cook34 < .5
reg econ1 hdi02 dezrev1 fedgth if econ1cook34 < .5
reg econ1 hdi02 dezrev1 fedmadx if econ1cook34 < .5
* * model130 specification
reg econ1 hdi02 dezexp
* vif
hettest
predict econ1hat35
predict econ1e35, r
graph econ1e35 econ1hat35
save econ135.gph, replace
swilk econ1e35
predict econ1cook35, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook35 country if econ1cook35 > `max'
reg econ1 hdi02 dezexp feddummy
reg econ1 hdi02 dezexp fedtype
reg econ1 hdi02 dezexp fedlijp
reg econ1 hdi02 dezexp fedkeman
reg econ1 hdi02 dezexp fedtreis
reg econ1 hdi02 dezexp fedgth
reg econ1 hdi02 dezexp fedmadx
* * model131 specification
reg econ1 infl10 incineq2 hdi02 legfren medage econ
* vif
hettest
predict econ1hat36
predict econ1e36, r
graph econ1e36 econ1hat36
save econ136.gph, replace
swilk econ1e36
predict econ1cook36, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook36 country if econ1cook36 > `max'
* reg econ1 infl10 incineq2 hdi02 legfren medage econ if econ1cook36 < .5
* vif
reg econ1 infl10 incineq2 legfren medage econ if econ1cook36 < .5
* vif
hettest
* reg econ1 infl10 incineq2 legfren medage econ feddummy if econ1cook36 < .5
reg econ1 infl10 incineq2 legfren medage feddummy if econ1cook36 < .5
reg econ1 infl10 incineq2 legfren medage econ fedtype if econ1cook36 < .5
reg econ1 infl10 incineq2 legfren medage econ fedlijp if econ1cook36 < .5
* reg econ1 infl10 incineq2 legfren medage econ fedkeman if econ1cook36 < .5
* reg econ1 infl10 incineq2 legfren econ fedkeman if econ1cook36 < .5
reg econ1 infl10 incineq2 legfren fedkeman if econ1cook36 < .5
* reg econ1 infl10 incineq2 legfren medage econ fedtreis if econ1cook36 < .5
reg econ1 infl10 incineq2 legfren medage fedtreis if econ1cook36 < .5
* reg econ1 infl10 incineq2 legfren medage econ fedgth if econ1cook36 < .5
reg econ1 infl10 incineq2 legfren medage fedgth if econ1cook36 < .5
* reg econ1 infl10 incineq2 legfren medage econ fedmadx if econ1cook36 < .5
reg econ1 infl10 incineq2 legfren medage fedmadx if econ1cook36 < .5
* *** 4th analysis (stepwise model selection)
sum pcecon
* * model2
sw reg econ1 growth10 unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage pcecon, pr(.3) pe(.2) forward
* reg econ1 growth10 tradebal10 budgdef10 pop area hdi02 legger legscan
* vif
reg econ1 tradebal10 budgdef10 pop area hdi02 legger legscan
* vif
hettest
predict econ1hat37
predict econ1e37, r
graph econ1e37 econ1hat37
save econ137.gph, replace
swilk econ1e37
predict econ1cook37, cooksd
local max = 4/e(N)
* display `max'
tab econ1cook37 country if econ1cook37 > `max'
* reg econ1 tradebal10 budgdef10 pop area hdi02 legger legscan if econ1cook37 < .5
reg econ1 tradebal10 pop area hdi02 legger legscan if econ1cook37 < .5
hettest
* * inclusion of federalism, decentralization, fiscal variables
* * model21
reg econ1 tradebal10 pop area hdi02 legger legscan feddummy if econ1cook37 < .5
* vif
hettest
reg econ1 tradebal10 pop area hdi02 legger legscan feddummy fedtype if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan feddummy dezrev2 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger legscan feddummy dezrev2 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan feddummy dezrev2 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan dezrev2 if econ1cook37 < .5
reg econ1 pop hdi02 legger dezrev2 if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan feddummy dezrev3 if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger feddummy dezrev3 if econ1cook37 < .5
reg econ1 tradebal10 pop area hdi02 legger dezrev3 if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan feddummy dezrev4 if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 legger legscan feddummy dezrev4 if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan feddummy snadm if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan snadm if econ1cook37 < .5
reg econ1 pop area hdi02 legger legscan snadm if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan feddummy dezrev1 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger legscan feddummy dezrev1 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger legscan dezrev1 if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 legger dezrev1 if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan feddummy dezexp if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger legscan feddummy dezexp if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan feddummy dezexp if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezexp if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan feddummy econ if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan feddummy econ if econ1cook37 < .5
reg econ1 pop area hdi02 legger legscan econ if econ1cook37 < .5
* * model22
* reg econ1 tradebal10 pop area hdi02 legger legscan fedtype if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan fedlijp if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan fedlijp if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan fedkeman if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan fedkeman if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan fedtreis if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan fedgth if econ1cook37 < .5
reg econ1 pop area hdi02 legger legscan fedgth if econ1cook37 < .5
* vif
hettest
reg econ1 pop area hdi02 legger legscan fedgth fedtype if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan fedgth dezrev2 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan fedgth dezrev2 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan dezrev2 if econ1cook37 < .5
reg econ1 pop hdi02 legger dezrev2 if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan fedgth dezrev3 if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan fedgth dezrev3 if econ1cook37 < .5
reg econ1 pop area hdi02 legger legscan fedgth dezrev4 if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan fedgth snadm if econ1cook37 < .5
reg econ1 pop area hdi02 legger legscan snadm if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan fedgth dezrev1 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan fedgth dezrev1 if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezrev1 if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan fedgth dezexp if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan fedgth dezexp if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezexp if econ1cook37 < .5
reg econ1 pop area hdi02 legger legscan fedgth econ if econ1cook37 < .5
* * model23
* reg econ1 tradebal10 pop area hdi02 legger legscan fedmadx if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan fedmadx if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan fedmadx if econ1cook37 < .5
* vif
hettest
reg econ1 pop hdi02 legger legscan fedmadx fedtype if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan fedmadx dezrev2 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan dezrev2 if econ1cook37 < .5
reg econ1 pop hdi02 legger dezrev2 if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan fedmadx dezrev3 if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan fedmadx dezrev4 if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan fedmadx snadm if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan fedmadx dezrev1 if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezrev1 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan fedmadx dezexp if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezexp if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan fedmadx econ if econ1cook37 < .5
* * model24
* reg econ1 tradebal10 pop area hdi02 legger legscan pcgrants if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger pcgrants if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger dezrev1 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants feddummy if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 pcgrants feddummy if econ1cook37 < .5
* vif
hettest
reg econ1 tradebal10 pop hdi02 pcgrants feddummy fedtype if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 pcgrants feddummy dezrev2 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 feddummy dezrev2 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 dezrev2 if econ1cook37 < .5
reg econ1 pop hdi02 dezrev2 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 pcgrants feddummy dezrev3 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 feddummy dezrev3 if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 dezrev3 if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 pcgrants feddummy dezrev4 if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 pcgrants feddummy snadm if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 pcgrants feddummy dezrev1 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 feddummy dezrev1 if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 dezrev1 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 pcgrants feddummy dezexp if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 pcgrants dezexp if econ1cook37 < .5
reg econ1 pop hdi02 pcgrants dezexp if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 pcgrants feddummy econ if econ1cook37 < .5
* * model25
* reg econ1 tradebal10 pop hdi02 legger pcgrants fedtype if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants fedlijp if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants fedkeman if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants fedtreis if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants fedgth if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants fedmadx if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants dezrev2 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants dezrev3 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants dezrev4 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants borrauton if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants hbc if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants snadm if econ1cook37 < .5
reg econ1 pop hdi02 legger pcgrants snadm if econ1cook37 < .5
* vif
hettest
reg econ1 pop hdi02 legger pcgrants snadm if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger pcgrants snadm feddummy if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger pcgrants snadm fedtype if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger pcgrants snadm fedlijp if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger pcgrants snadm fedkeman if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger pcgrants snadm fedtreis if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger pcgrants snadm fedgth if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger pcgrants snadm fedmadx if econ1cook37 < .5, robust
* * model26
* reg econ1 tradebal10 pop hdi02 legger pcgrants dezrev1 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants pcsnborr if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants fimb1 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants fimb2 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants grants if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants dezexp if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger pcgrants econ if econ1cook37 < .5
* reg econ1 pop hdi02 legger pcgrants econ if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan dezrev2 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger legscan dezrev2 if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 legger dezrev2 if econ1cook37 < .5
* vif
hettest
reg econ1 tradebal10 pop hdi02 legger dezrev2 feddummy if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 legger dezrev2 fedtype if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger dezrev2 fedlijp if econ1cook37 < .5
reg econ1 pop hdi02 legger dezrev2 fedlijp if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger dezrev2 fedkeman if econ1cook37 < .5
reg econ1 pop hdi02 legger dezrev2 fedkeman if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 legger dezrev2 fedtreis if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 legger dezrev2 fedgth if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 legger dezrev2 fedmadx if econ1cook37 < .5
* * model27
* reg econ1 tradebal10 pop area hdi02 legger legscan dezrev3 if econ1cook37 < .5
reg econ1 tradebal10 pop area hdi02 legger dezrev3 if econ1cook37 < .5
* vif
hettest
reg econ1 tradebal10 pop area hdi02 legger dezrev3 feddummy if econ1cook37 < .5
reg econ1 tradebal10 pop area hdi02 legger dezrev3 fedtype if econ1cook37 < .5
reg econ1 tradebal10 pop area hdi02 legger dezrev3 fedlijp if econ1cook37 < .5
reg econ1 tradebal10 pop area hdi02 legger dezrev3 fedkeman if econ1cook37 < .5
reg econ1 tradebal10 pop area hdi02 legger dezrev3 fedtreis if econ1cook37 < .5
reg econ1 tradebal10 pop area hdi02 legger dezrev3 fedgth if econ1cook37 < .5
reg econ1 tradebal10 pop area hdi02 legger dezrev3 fedmadx if econ1cook37 < .5
* * model28
* reg econ1 tradebal10 pop area hdi02 legger legscan dezrev4 if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 legger legscan dezrev4 if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan borrauton if econ1cook37 < .5
reg econ1 pop area hdi02 legger legscan borrauton if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan borrauton feddummy if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan borrauton feddummy if econ1cook37 < .5
reg econ1 pop hdi02 legscan borrauton feddummy if econ1cook37 < .5
* vif
hettest
reg econ1 pop hdi02 legscan borrauton feddummy if econ1cook37 < .5, robust
reg econ1 pop hdi02 legscan borrauton feddummy fedtype if econ1cook37 < .5, robust
* reg econ1 pop hdi02 legscan borrauton feddummy dezrev2 if econ1cook37 < .5, robust
reg econ1 pop hdi02 legscan feddummy dezrev2 if econ1cook37 < .5, robust
* reg econ1 pop hdi02 legscan borrauton feddummy dezrev3 if econ1cook37 < .5, robust
reg econ1 pop hdi02 legscan feddummy dezrev3 if econ1cook37 < .5, robust
reg econ1 pop hdi02 legscan borrauton feddummy dezrev4 if econ1cook37 < .5, robust
reg econ1 pop hdi02 legscan borrauton feddummy snadm if econ1cook37 < .5, robust
reg econ1 pop hdi02 legscan borrauton feddummy dezrev1 if econ1cook37 < .5, robust
reg econ1 pop hdi02 legscan borrauton feddummy dezexp if econ1cook37 < .5, robust
reg econ1 pop hdi02 legscan borrauton feddummy econ if econ1cook37 < .5, robust
* * model29
reg econ1 pop area hdi02 legger legscan borrauton fedtype if econ1cook37 < .5
reg econ1 pop area hdi02 legger legscan borrauton fedlijp if econ1cook37 < .5
reg econ1 pop area hdi02 legger legscan borrauton fedkeman if econ1cook37 < .5
reg econ1 pop area hdi02 legger legscan borrauton fedtreis if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan borrauton fedgth if econ1cook37 < .5
reg econ1 area hdi02 legger legscan borrauton fedgth if econ1cook37 < .5
reg econ1 pop area hdi02 legger legscan borrauton fedmadx if econ1cook37 < .5
reg econ1 pop area hdi02 legger legscan borrauton pcgrants if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan borrauton dezrev2 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan borrauton dezrev2 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan dezrev2 if econ1cook37 < .5
reg econ1 pop hdi02 legger dezrev2 if econ1cook37 < .5
* vif
hettest
reg econ1 pop hdi02 legger dezrev2 feddummy if econ1cook37 < .5
estat ic
reg econ1 pop hdi02 dezrev2 feddummy if econ1cook37 < .5
estat ic
* reg econ1 pop hdi02 legger dezrev2 fedtype if econ1cook37 < .5
reg econ1 pop hdi02 dezrev2 fedtype if econ1cook37 < .5
reg econ1 pop hdi02 legger dezrev2 fedlijp if econ1cook37 < .5
reg econ1 pop hdi02 legger dezrev2 fedkeman if econ1cook37 < .5
reg econ1 pop hdi02 legger dezrev2 fedtreis if econ1cook37 < .5
reg econ1 pop hdi02 legger dezrev2 fedgth if econ1cook37 < .5
reg econ1 pop hdi02 legger dezrev2 fedmadx if econ1cook37 < .5
* * model210
* reg econ1 pop area hdi02 legger legscan borrauton dezrev3 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan borrauton dezrev3 if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezrev3 if econ1cook37 < .5
* vif
hettest
reg econ1 pop hdi02 legger legscan dezrev3 if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger legscan dezrev3 feddummy if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger legscan dezrev3 fedtype if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger legscan dezrev3 fedlijp if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger legscan dezrev3 fedkeman if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger legscan dezrev3 fedtreis if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger legscan dezrev3 fedgth if econ1cook37 < .5, robust
reg econ1 pop hdi02 legger legscan dezrev3 fedmadx if econ1cook37 < .5, robust
* * model211
* reg econ1 pop area hdi02 legger legscan borrauton dezrev4 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan borrauton dezrev4 if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezrev4 if econ1cook37 < .5
* vif
hettest
* reg econ1 pop hdi02 legger legscan dezrev4 feddummy if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan feddummy if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezrev4 fedtype if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezrev4 fedlijp if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezrev4 fedkeman if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezrev4 fedtreis if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezrev4 fedgth if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan dezrev4 fedmadx if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan fedmadx if econ1cook37 < .5
* * model212
* reg econ1 pop area hdi02 legger legscan borrauton hbc if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc feddummy if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan hbc feddummy if econ1cook37 < .5
* vif
hettest
reg econ1 pop hdi02 legger legscan hbc feddummy fedtype if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan hbc feddummy dezrev2 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan hbc feddummy dezrev3 if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan feddummy dezrev3 if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan hbc feddummy dezrev4 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan hbc feddummy snadm if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan hbc snadm if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan hbc feddummy dezrev1 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan hbc feddummy dezexp if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan hbc dezexp if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan hbc feddummy econ if econ1cook37 < .5
reg econ1 pop hdi02 legscan hbc feddummy econ if econ1cook37 < .5
* * model213
* reg econ1 pop area hdi02 legger legscan hbc fedtype if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc fedlijp if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc fedkeman if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc fedtreis if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc fedgth if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc fedmadx if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan hbc fedmadx if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc pcgrants if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc dezrev2 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan hbc dezrev2 if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc dezrev3 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan hbc dezrev3 if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc dezrev4 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan hbc dezrev4 if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc snadm if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc dezrev1 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan hbc dezrev1 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan dezrev1 if econ1cook37 < .5
* reg econ1 pop hdi02 legger dezrev1 if econ1cook37 < .5
reg econ1 pop hdi02 dezrev1 if econ1cook37 < .5
* vif
hettest
reg econ1 pop hdi02 dezrev1 feddummy if econ1cook37 < .5
reg econ1 pop hdi02 dezrev1 fedtype if econ1cook37 < .5
reg econ1 pop hdi02 dezrev1 fedlijp if econ1cook37 < .5
reg econ1 pop hdi02 dezrev1 fedkeman if econ1cook37 < .5
reg econ1 pop hdi02 dezrev1 fedtreis if econ1cook37 < .5
reg econ1 pop hdi02 dezrev1 fedgth if econ1cook37 < .5
reg econ1 pop hdi02 dezrev1 fedmadx if econ1cook37 < .5
* * model214
* reg econ1 pop area hdi02 legger legscan hbc pcsnborr if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc fimb1 if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc fimb2 if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc grants if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan hbc dezexp if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan hbc dezexp if econ1cook37 < .5
* vif
hettest
reg econ1 pop hdi02 legger legscan hbc dezexp feddummy if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan hbc dezexp fedtype if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan hbc dezexp fedlijp if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan hbc dezexp fedkeman if econ1cook37 < .5
reg econ1 pop hdi02 legger hbc dezexp fedkeman if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan hbc dezexp fedtreis if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan hbc dezexp fedgth if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan hbc dezexp fedmadx if econ1cook37 < .5
* * model215
* reg econ1 pop hdi02 legger legscan hbc econ if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan borrauton snadm if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan borrauton dezrev1 if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan borrauton dezrev1 if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan borrauton pcsnborr if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan borrauton fimb1 if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan borrauton fimb2 if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan borrauton grants if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan borrauton dezexp if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan borrauton dezexp if econ1cook37 < .5
* vif
hettest
reg econ1 pop hdi02 legger legscan borrauton dezexp feddummy if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan borrauton dezexp fedtype if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan borrauton dezexp fedlijp if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan borrauton dezexp fedkeman if econ1cook37 < .5
reg econ1 pop hdi02 legger borrauton dezexp fedkeman if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan borrauton dezexp fedtreis if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan borrauton dezexp fedgth if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan borrauton dezexp fedmadx if econ1cook37 < .5
* * model216
* reg econ1 pop area hdi02 legger legscan borrauton econ if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan hbc if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan snadm if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan snadm if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan dezrev1 if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger legscan dezrev1 if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 legger dezrev1 if econ1cook37 < .5
* vif
hettest
reg econ1 tradebal10 pop hdi02 legger dezrev1 feddummy if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 legger dezrev1 fedtype if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger dezrev1 fedlijp if econ1cook37 < .5
reg econ1 pop hdi02 legger dezrev1 fedlijp if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger dezrev1 fedkeman if econ1cook37 < .5
reg econ1 pop hdi02 legger dezrev1 fedkeman if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 legger dezrev1 fedtreis if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 legger dezrev1 fedgth if econ1cook37 < .5
reg econ1 tradebal10 pop hdi02 legger dezrev1 fedmadx if econ1cook37 < .5
* * model217
* reg econ1 tradebal10 pop area hdi02 legger legscan pcsnborr if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan fimb1 if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan fimb2 if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan grants if econ1cook37 < .5
* reg econ1 tradebal10 pop area hdi02 legger legscan dezexp if econ1cook37 < .5
* reg econ1 tradebal10 pop hdi02 legger legscan dezexp if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezexp if econ1cook37 < .5
* vif
hettest
reg econ1 pop hdi02 legger legscan dezexp feddummy if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezexp fedtype if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezexp fedlijp if econ1cook37 < .5
* reg econ1 pop hdi02 legger legscan dezexp fedkeman if econ1cook37 < .5
reg econ1 pop hdi02 legger dezexp fedkeman if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezexp fedtreis if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezexp fedgth if econ1cook37 < .5
reg econ1 pop hdi02 legger legscan dezexp fedmadx if econ1cook37 < .5
* * model218
* reg econ1 tradebal10 pop area hdi02 legger legscan econ if econ1cook37 < .5
* reg econ1 pop area hdi02 legger legscan econ if econ1cook37 < .5
log close

