version 9.0
set more off
capture log close
log using "C:\fd-data\infl.log", replace
* *** inflation
use "C:\fd-data\fd-cross.dta", clear
* * distribution of inflation
kdensity infl10, normal
save infl.gph, replace
swilk infl10
gen lninfl = ln(infl10)
kdensity lninfl, normal
save lninfl.gph, replace
swilk lninfl
* gen sqrtinfl = sqrt(infl10)
* kdensity sqrtinfl, normal
* save sqrtinfl.gph, replace
* swilk sqrtinfl
drop lninfl
* drop sqrtinfl
* *** 1st analysis (bivariate)
reg infl10 feddummy
reg infl10 fedtype
reg infl10 fedlijp
reg infl10 fedkeman
reg infl10 fedtreis
reg infl10 fedgth
reg infl10 fedmadx
reg infl10 dezrev2
reg infl10 dezrev3
reg infl10 dezrev4
reg infl10 snadm
reg infl10 dezrev1
reg infl10 dezexp
* *** 2nd analysis (mean difference by federalism)
sort feddummy
by feddummy: sum infl10
gen finfl = infl10 if fedd==1
gen uinfl = infl10 if fedd==0
sdtest finfl = uinfl
ttest finfl = uinfl, unpaired unequal
* *** 3rd analysis (bivariate model selection)
* reg infl10 growth10
* reg infl10 unemp10
* reg infl10 tradebal10
* reg infl10 govsize10
* reg infl10 socexp10
* reg infl10 budgdef10
* reg infl10 incineq1
* reg infl10 incineq2
* reg infl10 incineq3
* reg infl10 pop
* reg infl10 area
* reg infl10 popdens
* reg infl10 ethnic
* reg infl10 religion
* reg infl10 hdi02
* reg infl10 urban
* reg infl10 legeng
* reg infl10 legfren
* reg infl10 legger
* reg infl10 legscan
* reg infl10 democ
* reg infl10 medage
* reg infl10 polisys
* * model1 specification
* reg infl10 budgdef10 incineq1 hdi02 democ medage
reg infl10 budgdef10 hdi02 democ medage
estat ic
* vif
reg infl10 budgdef10 incineq1 democ medage
estat ic
* * inclusion of federalism, decentralization, fiscal variables
* reg infl10 budgdef10 hdi02 democ medage feddummy
* reg infl10 budgdef10 hdi02 democ medage fedtype
* reg infl10 budgdef10 hdi02 democ medage fedlijp
* reg infl10 budgdef10 hdi02 democ medage fedkeman
* reg infl10 budgdef10 hdi02 democ medage fedtreis
* reg infl10 budgdef10 hdi02 democ medage fedgth
* reg infl10 budgdef10 hdi02 democ medage fedmadx
* reg infl10 budgdef10 hdi02 democ medage pcgrants
* reg infl10 budgdef10 hdi02 medage pcgrants
* reg infl10 budgdef10 hdi02 democ medage dezrev2
* reg infl10 budgdef10 hdi02 democ medage dezrev3
* reg infl10 budgdef10 hdi02 democ medage dezrev4
* reg infl10 budgdef10 hdi02 democ medage borrauton
* reg infl10 budgdef10 hdi02 democ medage hbc
* reg infl10 budgdef10 hdi02 democ medage snadm
* reg infl10 budgdef10 hdi02 democ medage dezrev1
* reg infl10 hdi02 democ medage dezrev1
* reg infl10 budgdef10 hdi02 democ medage pcsnborr
* reg infl10 budgdef10 hdi02 democ medage fimb1
* reg infl10 hdi02 democ medage fimb1
* reg infl10 budgdef10 hdi02 democ medage fimb2
* reg infl10 hdi02 democ medage fimb2
* reg infl10 hdi02 medage fimb2
* reg infl10 budgdef10 hdi02 democ medage grants
* reg infl10 hdi02 democ medage grants
* reg infl10 budgdef10 hdi02 democ medage dezexp
* reg infl10 hdi02 democ medage dezexp
* reg infl10 hdi02 democ medage grants feddummy
* reg infl10 hdi02 democ medage grants fedtype
* reg infl10 hdi02 democ medage grants fedlijp
* reg infl10 hdi02 democ medage grants fedkeman
* reg infl10 hdi02 democ medage grants fedtreis
* reg infl10 hdi02 democ medage grants fedgth
* reg infl10 hdi02 democ medage grants fedmadx
* reg infl10 hdi02 democ medage grants pcgrants
* reg infl10 hdi02 democ medage grants dezrev2
* reg infl10 hdi02 democ medage grants dezrev3
* reg infl10 hdi02 democ medage grants dezrev4
* reg infl10 hdi02 democ medage grants borrauton
* reg infl10 hdi02 democ medage grants hbc
* reg infl10 hdi02 democ medage grants snadm
* reg infl10 hdi02 democ medage grants dezrev1
* reg infl10 hdi02 democ medage grants pcsnborr
* reg infl10 hdi02 democ medage grants fimb1
* reg infl10 hdi02 democ medage grants fimb2
* reg infl10 hdi02 democ medage grants dezexp
* *** 4th analysis (stepwise model selection)
* sw reg infl10 growth10 unemp10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legeng legfren legscan democ medage, pr(.3) pe(.2) forward
* reg infl10 growth hdi02
* reg infl10 democ hdi02
* vif
* sw reg infl10 growth10 unemp10 tradebal10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legeng legfren legscan democ medage, pr(.3) pe(.2) forward
* vif
* reg infl10 growth10 unemp10 tradebal10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legeng legfren legscan democ medage
* reg infl10 unemp10 tradebal10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legeng legfren legscan democ medage
sw reg infl10 growth10 unemp10 tradebal10 budgdef10 incineq2 pop area popdens ethnic religion hdi02 urban legeng legfren legscan democ medage, pr(.3) pe(.2) forward
* vif
predict infle1, r
rvfplot
save infl1.gph, replace
swilk infle
hettest
predict infl1c, cooksd
tab country infl1c if infl1c > 4/e(N)
* reg infl10 hdi02 democ budgdef10 tradebal10 incineq2 area unemp10 religion if infl1c < .5
* reg infl10 hdi02 budgdef10 tradebal10 incineq2 area unemp10 religion if infl1c < .5
* sw reg infl10 growth10 unemp10 tradebal10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legeng legfren legscan democ medage if infl1c < .5, pr(.3) pe(.2) forward
* reg infl10 hdi02 budgdef10 tradebal10 incineq1 area unemp10 religion if infl1c < .5
* reg infl10 hdi02 budgdef10 tradebal10 area unemp10 religion if infl1c < .5
* reg infl10 hdi02 tradebal10 area unemp10 religion if infl1c < .5
* reg infl10 hdi02 area unemp10 religion if infl1c < .5
* reg infl10 hdi02 area religion if infl1c < .5
* reg infl10 hdi02 area if infl1c < .5
* reg infl10 hdi02 if infl1c < .5
* reg infl10 hdi02 democ if infl1c < .5
reg infl10 hdi02 growth10 if infl1c < .5
hettest
predict infl2c, cooksd
reg infl10 hdi02 growth10 if infl2c < .5 & infl1c < .5
* * inclusion of federalism, decentralization, fiscal variables
reg infl10 hdi02 growth10 feddummy if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 if infl2c < .5 & infl1c < .5
hettest
predict infle3, r
swilk infle3 if infl2c < .5 & infl1c < .5
estat ic
* * inclusion of federalism, decentralization, fiscal variables
* reg infl10 hdi02 growth10 feddummy if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fedtype if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fedlijp if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fedkeman if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fedtreis if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fedgth if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fedmadx if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 pcgrants if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 dezrev2 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 dezrev3 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 dezrev4 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 borrauton if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 hbc if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 snadm if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 dezrev1 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 pcsnborr if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb2 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 dezexp if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 feddummy if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 fedtype if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 fedlijp if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 fedkeman if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 fedtreis if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 fedgth if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 pcgrants if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 dezrev2 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 dezrev3 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 dezrev4 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 borrauton if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 hbc if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 snadm if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 dezrev1 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 pcsnborr if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 fimb2 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 grants if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 dezexp if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants feddummy if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants fedtype if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants fedlijp if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants fedkeman if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants fedtreis if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants fedgth if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants fedmadx if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants pcgrants if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants dezrev2 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants dezrev3 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants dezrev4 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants borrauton if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants hbc if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants snadm if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants dezrev1 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants pcsnborr if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants fimb1 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants fimb2 if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 grants dezexp if infl2c < .5 & infl1c < .5
* * model2 specification
* * inclusion of federalim, control variables
* * model21
reg infl10 hdi02 growth10 fimb1 dezrev1 if infl2c < .5 & infl1c < .5
* vif
estat hettest
estat ic
reg infl10 hdi02 growth10 fimb1 dezrev1 feddummy if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezrev1 fedtype if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 dezrev1 fedlijp if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 fedlijp if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezrev1 fedkeman if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 fedkeman if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezrev1 fedgth if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezrev1 fedmadx if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezrev1 budgdef10 if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezrev1 incineq1 if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezrev1 democ if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezrev1 medage if infl2c < .5 & infl1c < .5
* * model22
reg infl10 hdi02 growth10 fimb1 dezexp if infl2c < .5 & infl1c < .5
* vif
estat hettest
estat ic
reg infl10 hdi02 growth10 fimb1 dezexp feddummy if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezexp fedtype if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 dezexp fedlijp if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 fedlijp if infl2c < .5 & infl1c < .5
* reg infl10 hdi02 growth10 fimb1 dezexp fedkeman if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 fedkeman if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezexp fedgth if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezexp fedmadx if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezexp budgdef10 if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezexp incineq1 if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezexp democ if infl2c < .5 & infl1c < .5
reg infl10 hdi02 growth10 fimb1 dezexp medage if infl2c < .5 & infl1c < .5
* * model23
reg infl10 hdi02 growth10 grants snadm if infl2c < .5 & infl1c < .5
* vif
estat hettest
reg infl10 hdi02 growth10 grants snadm if infl2c < .5 & infl1c < .5, robust hc2
estat ic
reg infl10 hdi02 growth10 grants snadm feddummy if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 grants snadm fedtype if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 grants snadm fedlijp if infl2c < .5 & infl1c < .5, robust hc2
estat ic
reg infl10 hdi02 growth10 grants snadm fedkeman if infl2c < .5 & infl1c < .5, robust hc2
estat ic
reg infl10 hdi02 growth10 grants snadm fedgth if infl2c < .5 & infl1c < .5, robust hc2
estat ic
reg infl10 hdi02 growth10 grants snadm fedmadx if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 grants snadm budgdef10 if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 grants snadm incineq1 if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 grants snadm democ if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 grants snadm medage if infl2c < .5 & infl1c < .5, robust hc2
* *** 5th analysis (further models)
* * model3
reg infl10 hdi02 growth10 fedtype if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* * inclusion of federalism, decentralization, fiscal variables
* reg infl10 hdi02 growth10 fedtype feddummy if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fedtype fedlijp if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fedtype fedkeman if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype fedtreis if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fedtype fedgth if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fedtype fedmadx if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype dezrev2 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype dezrev3 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype dezrev4 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype snadm if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 snadm if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype dezrev1 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype dezexp if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype budgdef10 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype incineq1 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype democ if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype medage if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fedtype fedlijp dezrev2 if infl2c < .5 & infl1c < .5, robust hc2
* vif
estat ic
reg infl10 hdi02 growth10 fedtype fedlijp dezrev3 if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fedtype fedlijp dezrev4 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 fedtype fedlijp dezrev4 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 fedtype dezrev4 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype fedlijp snadm if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fedlijp snadm if infl2c < .5 & infl1c < .5, robust hc2
estat ic
reg infl10 hdi02 growth10 fedtype fedlijp dezrev1 if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fedtype fedlijp dezexp if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype fedlijp budgdef10 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype fedlijp incineq1 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype fedlijp democ if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype fedlijp medage if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype fedlijp dezrev1 democ if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype fedlijp dezrev1 medage if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype fedlijp dezrev1 budgdef10 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype fedlijp dezrev1 incineq1 if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fedgth if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fedgth dezrev2 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedgth dezrev3 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedgth dezrev4 if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fedgth snadm if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fedgth dezrev1 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedgth dezexp if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedgth snadm budgdef10 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedgth snadm incineq1 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedgth snadm democ if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedgth snadm medage if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fimb1 fedtype if infl2c < .5 & infl1c < .5, robust hc2
estat ic
reg infl10 hdi02 growth10 fimb2 fedtype if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fimb1 fedtype feddummy if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fimb1 fedtype fedlijp if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fimb1 fedtype fedkeman if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fimb1 fedkeman if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fimb1 fedtype fedtreis if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fimb1 fedtype fedgth if infl2c < .5 & infl1c < .5, robust hc2
estat ic
reg infl10 hdi02 growth10 fimb1 fedtype fedmadx if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fimb1 fedtype dezrev2 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 dezrev2 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 fedtype dezrev3 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedtype dezrev3 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 fedtype dezrev4 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 dezrev4 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 fedtype snadm if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 snadm if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fimb1 fedtype dezrev1 if infl2c < .5 & infl1c < .5, robust hc2
estat ic
reg infl10 hdi02 growth10 fimb1 fedtype dezexp if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fimb1 fedtype fedgth dezexp if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 fedtype fedgth dezrev1 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 fedtype fedgth budgdef10 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 fedtype fedgth incineq1 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 fedtype fedgth democ if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 fedtype fedgth medage if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fimb1 fedgth if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fimb1 fedgth dezrev2 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 fedgth dezrev3 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fedgth dezrev3 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 fedgth dezrev4 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 fedgth snadm if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fedgth snadm if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fimb1 fedgth dezrev1 if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fimb1 dezrev1 if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fimb1 fedgth dezexp if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fimb1 dezexp if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 fimb1 dezexp budgdef10 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 dezexp incineq1 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 dezexp democ if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 fimb1 dezexp medage if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 grants fedtype if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 grants fedtype feddummy if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants fedtype fedlijp if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fedtype fedlijp if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 grants fedtype fedkeman if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants fedtype fedtreis if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants fedtype fedgth if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 fedtype fedgth if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 grants fedtype fedmadx if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants fedtype dezrev2 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants fedtype dezrev3 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants dezrev3 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants fedtype dezrev4 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants dezrev4 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants fedtype snadm if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 grants snadm if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 grants fedtype dezrev1 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants fedtype dezexp if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 grants pcsnborr snadm if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 grants pcsnborr snadm feddummy if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants pcsnborr snadm fedtype if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants pcsnborr snadm fedlijp if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 grants snadm fedlijp if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 grants pcsnborr snadm fedkeman if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 grants snadm fedkeman if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* reg infl10 hdi02 growth10 grants pcsnborr snadm fedtreis if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants pcsnborr snadm fedmadx if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants pcsnborr snadm budgdef10 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants pcsnborr snadm incineq1 if infl2c < .5 & infl1c < .5, robust hc2
* reg infl10 hdi02 growth10 grants pcsnborr snadm democ if infl2c < .5 & infl1c < .5, robust hc2
reg infl10 hdi02 growth10 grants pcsnborr snadm medage if infl2c < .5 & infl1c < .5, robust hc2
estat ic
reg infl10 hdi02 growth10 grants pcsnborr snadm if infl2c < .5 & infl1c < .5, robust hc2
estat ic
* * additional model tests
reg infl10 hdi02 growth10 fimb1 fedgth
predict infl4c, cooksd
reg infl10 hdi02 growth10 fimb1 fedgth if infl4c < .5
reg infl10 hdi02 growth10 fedgth if infl4c < .5
hettest
reg infl10 hdi02 growth10 fimb1 fedgth if infl4c < .5, robust hc3
reg infl10 hdi02 growth10 fedgth snadm
predict infl5c, cooksd
reg infl10 hdi02 growth10 fedgth snadm if infl5c < .5
hettest
reg infl10 hdi02 growth10 fedgth snadm if infl5c < .5, robust hc3
estat ic
reg infl10 hdi02 growth10 fedgth fedtype
predict infl6c, cooksd
reg infl10 hdi02 growth10 fedgth fedtype if infl6c < .5
hettest
reg infl10 hdi02 growth10 fedgth fedtype if infl6c < .5, robust hc3
reg infl10 hdi02 growth10 fedgth if infl6c < .5, robust hc3
reg infl10 hdi02 growth10 fedgth dezrev1 if infl6c < .5, robust hc3
reg infl10 hdi02 fedgth if infl6c < .5, robust hc3
reg infl10 hdi02 growth10 fedgth if infl6c < .5, robust hc3
estat ic
reg infl10 hdi02 growth10 fimb1 dezexp
predict infl7c, cooksd
reg infl10 hdi02 growth10 fimb1 dezexp if infl7c < .5
reg infl10 hdi02 growth10 dezexp if infl7c < .5
reg infl10 hdi02 growth10 grants fimb1 snadm
predict infl8c, cooksd
reg infl10 hdi02 growth10 grants fimb1 snadm if infl8c < .5
reg infl10 hdi02 growth10 grants snadm if infl8c < .5
estat ic
log close

