version 7.0
set more off
capture log close
log using "C:\fd-data\roads.log", replace
* *** roads
use "C:\fd-data\fd-cross.dta", clear
* * distribution of roads
kdensity roads, normal
save roads.gph, replace
swilk roads 
gen lnroads = ln(roads)
kdensity lnroads, normal
save lnroads.gph, replace
swilk lnroads
* *** 1st analysis (bivariate)
reg lnroads feddummy
reg lnroads fedtype
reg lnroads fedlijp
reg lnroads fedkeman
reg lnroads fedtreis
reg lnroads fedgth
reg lnroads fedmadx
reg lnroads dezrev2
reg lnroads dezrev3
reg lnroads dezrev4
reg lnroads snadm
reg lnroads dezrev1
reg lnroads dezexp
reg lnroads tcom
* *** 2nd analysis (mean difference by federalism)
sort feddummy
by feddummy: sum lnroads
gen froads = lnroads if feddummy == 1
gen uroads = lnroads if feddummy == 0
sdtest froads = uroads
ttest froads = uroads, unpaired
* *** 3rd analysis (bivariate model selection)
* reg lnroads growth10
* reg lnroads unemp10
* reg lnroads infl10
* reg lnroads tradebal10
* reg lnroads govsize10
* reg lnroads socexp10
* reg lnroads incineq1
* reg lnroads incineq2
* reg lnroads incineq3
* reg lnroads pop
* reg lnroads area
* reg lnroads popdens
* reg lnroads ethnic
* reg lnroads religion
* reg lnroads hdi02
* reg lnroads urban
* reg lnroads legeng
* reg lnroads legfr
* reg lnroads legger
* reg lnroads legscan
* reg lnroads democ
* reg lnroads medage
* reg lnroads polisys
* * model1 specification
reg lnroads socexp10 incineq3 pop area legeng
reg lnroads socexp10 incineq3 pop legeng
reg lnroads socexp10 incineq3 pop 
reg lnroads incineq3 pop 
***
* * model1a
reg lnroads pop tcom
* vif
hettest
* predict lnroadshat1a
predict lnroadse1a, r
* graph lnroadse1a lnroadshat1a
* save roads1.gph, replace
swilk lnroadse1a
predict lnroadscook1a, cooksd
local max 4/e(N)
* display `max'
tab lnroadscook1a country if lnroadscook1a >`max'
reg lnroads pop tcom if lnroadse1a < .5
predict lnroadshat1a2
predict lnroadse1a2, r
graph lnroadse1a2 lnroadshat1a2 if lnroadscook1a < .5
save roads1a2.gph, replace
swilk lnroadse1a2 if lnroadscook1a < .5
* * inclusion of federalism, decentralization, fiscal variables
reg lnroads pop tcom feddummy if lnroadscook1a < .5
reg lnroads pop tcom fedtype if lnroadscook1a < .5
reg lnroads pop tcom fedlijp if lnroadscook1a < .5
reg lnroads pop tcom fedkeman if lnroadscook1a < .5
reg lnroads pop tcom fedtreis if lnroadscook1a < .5
reg lnroads pop tcom fedgth if lnroadscook1a < .5
reg lnroads pop tcom fedmadx if lnroadscook1a < .5
reg lnroads pop tcom pcgrants if lnroadscook1a < .5
reg lnroads pop tcom dezrev2 if lnroadscook1a < .5
reg lnroads pop tcom dezrev3 if lnroadscook1a < .5
reg lnroads pop tcom dezrev4 if lnroadscook1a < .5
reg lnroads pop tcom borrauton if lnroadscook1a < .5
reg lnroads pop tcom fimb1 if lnroadscook1a < .5
reg lnroads pop tcom fimb2 if lnroadscook1a < .5
reg lnroads pop tcom grants if lnroadscook1a < .5
reg lnroads pop tcom dezexp if lnroadscook1a < .5
* *** 4th analysis (stepwise model selection)
sw reg lnroads growth10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* reg lnroads tradebal10 budgdef10 pop area
* reg lnroads budgdef10 pop area
* reg lnroads pop area
* * model2a
reg lnroads pop 
* vif
hettest
* predict lnroadshat2a
predict lnroadse2a, r
* graph lnroadse2a lnroadshat2a
* save roads2a.gph, replace
swilk lnroadse2a
predict lnroadscook2a, cooksd
local max 4/e(N)
* display `max'
tab lnroadscook2a country if lnroadscook2a >`max' 
reg lnroads pop if lnroadscook2a < .5
* vif
hettest
predict lnroadshat2a2
predict lnroadse2a2, r
graph lnroadse2a2 lnroadshat2a2
save roads2a2.gph, replace
swilk lnroadse2a2 if lnroadscook2a < .5
* * model2b
* sw reg lnroads growth10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.1) forward
sw reg lnroads growth10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.2) pe(.1) forward
reg lnroads pop budgdef10 democ
* vif
hettest
predict lnroadshat2b
predict lnroadse2b, r
graph lnroadse2b lnroadshat2b
save roads2b.gph, replace
swilk lnroadse2b
predict lnroadscook2b, cooksd
local max 4/e(N)
* display `max'
tab lnroadscook2b country if  lnroadscook2b>`max'
* reg lnroads pop budgdef10 democ if lnroadscook2b < .5
reg lnroads pop democ if lnroadscook2b < .5
* * inclusion of federalism, decentralization, fiscal variables
reg lnroads pop democ feddummy if lnroadscook2b < .5
reg lnroads pop democ fedtype if lnroadscook2b < .5
reg lnroads pop democ fedlijp if lnroadscook2b < .5
reg lnroads pop democ fedkeman if lnroadscook2b < .5
reg lnroads pop democ fedtreis if lnroadscook2b < .5
reg lnroads pop democ fedgth if lnroadscook2b < .5
reg lnroads pop democ fedmadx if lnroadscook2b < .5
* reg lnroads pop democ pcgrants if lnroadscook2b < .5
reg lnroads pop democ dezrev2 if lnroadscook2b < .5
reg lnroads pop democ dezrev3 if lnroadscook2b < .5
reg lnroads pop democ dezrev4 if lnroadscook2b < .5
* reg lnroads pop democ borrauton if lnroadscook2b < .5
* reg lnroads pop democ hbc if lnroadscook2b < .5
reg lnroads pop democ snadm if lnroadscook2b < .5
reg lnroads pop democ dezrev1 if lnroadscook2b < .5
* reg lnroads pop democ pcsnborr if lnroadscook2b < .5
* reg lnroads pop democ fimb1 if lnroadscook2b < .5
* reg lnroads pop democ fimb2 if lnroadscook2b < .5
* reg lnroads pop democ grants if lnroadscook2b < .5
reg lnroads pop democ dezexp if lnroadscook2b < .5
* reg lnroads pop democ tcom if lnroadscook2b < .5
reg lnroads pop tcom if lnroadscook2b < .5
* *** 5th analysis (further models and tests of stability)
version 9.0
* * model2b
* reg lnroads pop area democ
* reg lnroads pop democ
reg lnroads pop democ budgdef10
predict roadscook3, cooksd
reg lnroads pop democ budgdef10 if roadscook3 < .5
reg lnroads pop democ if roadscook3 < .5
estat ic
* reg lnroads pop democ feddummy if roadscook3 < .5
* reg lnroads pop democ fedtype if roadscook3 < .5
* reg lnroads pop democ fedlijp if roadscook3 < .5 
* reg lnroads pop democ fedkeman if roadscook3 < .5 
* reg lnroads pop democ fedtreis if roadscook3 < .5 
* reg lnroads pop democ fedgth if roadscook3 < .5 
* reg lnroads pop democ fedmadx if roadscook3 < .5 
* reg lnroads pop democ pcgrants if roadscook3 < .5 
* reg lnroads pop democ dezrev2 if roadscook3 < .5 
* reg lnroads pop democ dezrev3 if roadscook3 < .5 
* reg lnroads pop democ dezrev4 if roadscook3 < .5 
* reg lnroads pop democ borrauton if roadscook3 < .5 
* reg lnroads pop democ hbc if roadscook3 < .5 
* reg lnroads pop democ snadm if roadscook3 < .5 
* reg lnroads pop democ dezrev1 if roadscook3 < .5 
* reg lnroads pop democ pcsnborr if roadscook3 < .5 
* reg lnroads pop democ fimb1 if roadscook3 < .5 
* reg lnroads pop democ fimb2 if roadscook3 < .5 
* reg lnroads pop democ grants if roadscook3 < .5 
reg lnroads pop democ dezexp if roadscook3 < .5 
reg lnroads pop dezexp if roadscook3 < .5 
reg lnroads pop democ if roadscook3 < .25
estat ic
reg lnroads pop dezexp if roadscook3 < .25
estat ic
* * model3
reg lnroads pop dezexp
hettest
predict roadscook4, cooksd
tab roadscook4 country if roadscook4 > 4/e(N)
* inclusion of federalism, control variables
reg lnroads pop dezexp if roadscook4 < .5
estat ic
reg lnroads pop dezexp feddummy if roadscook4 < .5
reg lnroads pop dezexp fedtype if roadscook4 < .5
reg lnroads pop dezexp fedlijp if roadscook4 < .5
reg lnroads pop dezexp fedkeman if roadscook4 < .5
reg lnroads pop dezexp fedtreis if roadscook4 < .5
reg lnroads pop dezexp fedgth if roadscook4 < .5
reg lnroads pop dezexp fedmadx if roadscook4 < .5
reg lnroads pop dezexp pcgrants if roadscook4 < .5
reg lnroads pop dezexp growth10 if roadscook4 < .5
estat ic
reg lnroads pop dezexp democ if roadscook4 < .5
estat ic
reg lnroads pop fedgth dezexp democ if roadscook4 < .5
estat ic
log close

